﻿--[[---------------------------------------------------------------------------

Copyright (c) 2008 by K. Scott Piel 
All Rights Reserved

E-mail: < kscottpiel@gmail.com >
Web:    < http://www.scottpiel.com >

This file is part of nUI.

    nUI is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    nUI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with nUI.  If not, see <http://www.gnu.org/licenses/>.
	
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE 
USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

--]]---------------------------------------------------------------------------
	
-------------------------------------------------------------------------------
-- These functions provide integration with and management of MobInfo2 which
-- provides for mob health stats, drops, etc.
-------------------------------------------------------------------------------

-- local cache

local CreateFrame      = CreateFrame;
local InCombatLockdown = InCombatLockdown;

-------------------------------------------------------------------------------

function nUI:initMI2()

	if nUI.AddOn.mi2 then

		MI2_TooltipFrame:Show();
		MI2_TooltipFrame:ClearAllPoints();
		MI2_TooltipFrame:SetPoint( "BOTTOMRIGHT", GameTooltip, "BOTTOMRIGHT", 0, 0 );
		nUI:lockFrame( MI2_TooltipFrame, true );
		
	end
	
end

-------------------------------------------------------------------------------

function nUI_getHealthData( unit_id )
	
	local health     = UnitHealth( unit_id );
	local max_health = UnitHealthMax( unit_id );

    if nUI.AddOn.mi2 and UnitIsVisible( unit_id ) and (not UnitPlayerControlled( unit_id )) then
		
    	local mi2data = MI2_GetMobData( UnitName( unit_id ), UnitLevel( unit_id ), unit_id )
		
    	if mi2data ~= nil then
		
    		health     = (mi2data.healthCur or health);
    		max_health = (mi2data.healthMax or max_health);
			
   		end
    end
	
	return health, max_health;
	
end

